--- configure.in.orig	Sat Mar 17 21:50:34 2001
+++ configure.in	Sat Mar 17 21:51:41 2001
@@ -141,6 +141,11 @@
 fi
 AC_SUBST(ALSA_LIBS)
 
+dnl Check for Sun audio
+
+AC_CHECK_HEADERS(sys/audioio.h)
+AM_CONDITIONAL(HAVE_SUN_AUDIO,test "${ac_cv_header_sys_audioio_h}" = yes)
+
 dnl Check for aRts
 
 AC_PATH_PROG(ARTSC_CONFIG, artsc-config)
@@ -168,4 +173,4 @@
 
 CFLAGS="$CFLAGS -DAO_PLUGIN_PATH=\\\"$plugindir\\\""
 
-AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/arts/Makefile debian/Makefile)
+AC_OUTPUT(Makefile src/Makefile doc/Makefile include/Makefile include/ao/Makefile include/ao/os_types.h src/plugins/Makefile src/plugins/esd/Makefile src/plugins/oss/Makefile src/plugins/alsa/Makefile src/plugins/sun/Makefile src/plugins/arts/Makefile debian/Makefile)
--- src/plugins/Makefile.am.orig	Sat Mar 17 21:47:34 2001
+++ src/plugins/Makefile.am	Sat Mar 17 21:47:41 2001
@@ -1,4 +1,4 @@
 ## Process this file with automake to produce Makefile.in
 
 AUTOMAKE_OPTIONS = foreign
-SUBDIRS = oss esd alsa arts # solaris irix
+SUBDIRS = oss sun esd alsa arts # irix
